View Company Detail
GET /current_company
Returns the current company, including its account capabilities: billing plan, active features and the plan capability trees.
Responses
Section titled “ Responses ”OK
object
Current billing plan handle. trial for trialing accounts.
Current billing plan details (product_handle plus pricing fields). Trialing accounts resolve to the unlimited plan.
object
Feature flag names currently active for this company.
Product family, e.g. veeqo-shipping or veeqo-power.
Nested capability tree — category to action to boolean — reflecting what the current plan (plus feature flag overrides) allows, e.g. {“purchase_orders”: {“any_actions”: true}}.
object
Paid subscription features with usage data. Null if the subscription service is unavailable.
object
A user record.
object
Display name.
All company users.
A user record.
object
Display name.
object
Company-wide settings.
object
ozinchesExample
{ "trial_end_date": "2038-01-18T23:59:59.000Z", "shopify_app_store_referral?": false, "trialing?": false, "paying": false, "has_ever_created_remote_channel": true, "id": 10001, "name": "Acme Corp", "created_at": "2025-01-01T09:00:00.000Z", "updated_at": "2026-01-10T12:00:00.000Z", "referring_website": null, "has_right_to_use_veeqo": true, "billing_period_started": null, "chargify_product_handle": "trial", "chargify_current_plan": null, "active_features": [ "profit_analyzer", "multiple_carrier_accounts", "v1_api_access" ], "veeqo_product_name": "veeqo-power-us", "plan_features": { "purchase_orders": { "any_actions": true }, "api": { "any_actions": true } }, "paid_plan_features": { "CHANNEL": [ { "name": "PRODUCT_LISTING", "condition": { "limit": 10, "usage": 0, "listing_ids": [] } } ] }, "owner": { "id": 5001, "login": "Jane Doe", "email": "jane.doe@example.com", "account_owner_user_id": null, "activation_code": null, "activated_at": null, "location": null, "created_at": "2025-01-01T09:00:00.000Z", "created_by_id": null, "updated_at": "2026-01-10T12:00:00.000Z", "updated_by_id": null, "deleted_at": null, "deleted_by_id": null, "guide_progress": null, "company_id": 10001, "guide_completed_message_viewed": null, "orders_walkthrough_viewed": false, "default_warehouse_id": null, "timezone": "Etc/UTC", "failed_login_attempts": 0, "default_channel_id": null, "two_factor_authentication_enabled": true, "role_id": 501, "new_orders_opted_in": true, "new_products_opted_in": true, "default_order_view_id": null }, "employees": [ { "id": 5001, "login": "Jane Doe", "email": "jane.doe@example.com", "account_owner_user_id": null, "activation_code": null, "activated_at": null, "location": null, "created_at": "2025-01-01T09:00:00.000Z", "created_by_id": null, "updated_at": "2026-01-10T12:00:00.000Z", "updated_by_id": null, "deleted_at": null, "deleted_by_id": null, "guide_progress": null, "company_id": 10001, "guide_completed_message_viewed": null, "orders_walkthrough_viewed": false, "default_warehouse_id": null, "timezone": "Etc/UTC", "failed_login_attempts": 0, "default_channel_id": null, "two_factor_authentication_enabled": true, "role_id": 501, "new_orders_opted_in": true, "new_products_opted_in": true, "default_order_view_id": null } ], "company_address": { "address_line_1": "123 Example St", "address_line_2": "", "address_line_3": "", "post_code": "90001", "city": "Anytown", "region": "CA", "country": "US", "phone": "+1 555-0100" }, "settings": { "id": 1001, "currency_code": "USD", "charge_taxes_on_shipping_rates": true, "point_of_sale_enabled": false, "require_complete_packing": false, "phone_number": "+1 555-0100", "weight_unit": "oz", "dimensions_unit": "inches", "timezone": "Etc/UTC", "pull_fba_inbound_stock": false, "stock_change_reason_required": false, "auto_allocation_enabled": true, "link_similar_amazon_listings_within_marketplace": false, "link_similar_amazon_listings_within_region": false, "link_similar_amazon_listings_across_fba_and_fbm": false, "automated_packing_flow": false, "phone_payments": false, "date_format": "mm/dd/yyyy" }}